/*
 * DebugHelper.h
 *
 *  Created on: 02.03.2011
 *      Author: Mm
 */

#ifndef DEBUGHELPER_H_
#define DEBUGHELPER_H_

/*
 * Der Debug-Helper kann mit SAVE_PC() den aktuellen Programmcounter in eine Liste speichern
 * oder mit SAVE_U32(<Zahl>) irgend eine andere Zahl in das gleiche Array merken.
 * Somit kann man im Array alles mglich speichern und per Debug nachvollziehen
 * Aktivieren:   #define DEUG_HELPER
 * Deaktivieren: #define DEUG_HELPER_OFF
 */

#define DEUG_HELPER
//#define DEUG_HELPER_OFF

#ifdef DEUG_HELPER
extern vu32 iPC[16];
extern vu8  iPCPos;
#define SAVE_U32(X) {iPCPos=(iPCPos+1)%16;iPC[iPCPos]=(u32)X;}

#define SAVE_PC() {u32 t;iPCPos=(iPCPos+1)%16;asm volatile("mov %0, r15" : "=r"(t));iPC[iPCPos]=t;}

extern void DebugHelper_Init(void);

#else

#define SAVE_U32(X)
#define SAVE_PC()
#define DebugHelper_Init()

#endif

#endif /* DEBUGHELPER_H_ */
