//##########################################################################################################################
// Filename:
//   Timer.h
// Version:
//   000
// Letzte nderung:
//   00.00.0000
// Author:
//   Mm
// Modulbeschreibung:
//   Timer fr 1ms Systemtakt, Generierung Pulse und Zeiten
//   Verwendet wird der Systimer
//##########################################################################################################################

#ifndef __TIMER_TASK_INCLUDED  // Das File darf im Projekt nur einmal eingebunden werden
#define __TIMER_TASK_INCLUDED

// Impuls-Bits bei erreichen der Zeit:
// Die Bits werden im Interrupt nur gesetzt und mssen nach Verwendung im Task
// gelscht werden.
extern uintBit_T	tp1ms;		// Puls-Bits 1ms, Verwendung:
extern uintBit_T	tp10ms;		// Puls-Bits 10ms, Verwendung:
extern uintBit_T	tp100ms;	// Puls-Bits 100ms, Verwendung:
extern uintBit_T	tp1s;		// Puls-Bits 1s, Verwendung:
extern uintBit_T	tp1m;		// Puls-Bits 1m, Verwendung:

extern unsigned char		tBlink;		// Blink-Frequenz 0,5 Hz
extern unsigned char		tPuls1m;	// Puls-Frequenz jede Minute
extern unsigned char		tPuls1s;	// Puls-Frequenz 1 Hz
extern unsigned char		tPuls100ms;	// Puls-Frequenz 10 Hz
extern unsigned char		tPuls10ms;	// Puls-Frequenz 100 Hz
extern unsigned char		tPuls1ms;	// Puls-Frequenz 1000 Hz

// Counter Variablen Freerun
extern int			tms;		// Counter der ms (0..999)
extern int			ts;			// Counter s (0..59)
extern int			tm;			// Counter Minute (0..32767)

extern int			tMainZyk;	// Anzahl der Main-Zyklen je Sekunde

extern int iSysTickLast;

void Timer_TaskInit(void); // Initialisierung Timer
void Timer_Task(void); // Task fr Puls-Generierung 1Hz und 10Hz
void Timer_Interrupt(void); // Interrupt-Aufruf

int Timer_GetSysTick(void);

#endif
