/******************** (C) COPYRIGHT 2007 STMicroelectronics ********************
* File Name          : stm32f10x_it.h
* Author             : MCD Application Team
* Version            : V1.0
* Date               : 10/08/2007
* Description        : This file contains the headers of the interrupt handlers.
********************************************************************************
* THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
* WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
* AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY DIRECT,
* INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE
* CONTENT OF SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING
* INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*******************************************************************************/

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __STM32F10x_IT_H
#define __STM32F10x_IT_H

/* Includes ------------------------------------------------------------------*/

/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */


// Definition Low-Device, Medium-Device und High Device
extern void NMIException(void);
extern void HardFaultException(void);
extern void MemManageException(void);
extern void BusFaultException(void);
extern void UsageFaultException(void);
extern void SVCHandler(void);
extern void DebugMonitor(void);
extern void PendSVC(void);
extern void SysTickHandler(void);
extern void WWDG_IRQHandler(void);
extern void PVD_IRQHandler(void);
extern void TAMPER_IRQHandler(void);
extern void RTC_IRQHandler(void);
extern void FLASH_IRQHandler(void);
extern void RCC_IRQHandler(void);
extern void EXTI0_IRQHandler(void);
extern void EXTI1_IRQHandler(void);
extern void EXTI2_IRQHandler(void);
extern void EXTI3_IRQHandler(void);
extern void EXTI4_IRQHandler(void);
extern void DMA1_Channel1_IRQHandler(void);
extern void DMA1_Channel2_IRQHandler(void);
extern void DMA1_Channel3_IRQHandler(void);
extern void DMA1_Channel4_IRQHandler(void);
extern void DMA1_Channel5_IRQHandler(void);
extern void DMA1_Channel6_IRQHandler(void);
extern void DMA1_Channel7_IRQHandler(void);
extern void ADC1_2_IRQHandler(void);
extern void USB_HP_CAN1_TX_IRQHandler(void);
extern void USB_LP_CAN1_RX0_IRQHandler(void);
extern void CAN1_RX1_IRQHandler(void);
extern void CAN1_SCE_IRQHandler(void);
extern void EXTI9_5_IRQHandler(void);
extern void TIM1_BRK_IRQHandler(void);
extern void TIM1_UP_IRQHandler(void);
extern void TIM1_TRG_COM_IRQHandler(void);
extern void TIM1_CC_IRQHandler(void);
extern void TIM2_IRQHandler(void);
extern void TIM3_IRQHandler(void);
extern void TIM4_IRQHandler(void);		// nicht bei Low-Device
extern void I2C1_EV_IRQHandler(void);
extern void I2C1_ER_IRQHandler(void);
extern void I2C2_EV_IRQHandler(void);	// nicht bei Low-Device
extern void I2C2_ER_IRQHandler(void);	// nicht bei Low-Device
extern void SPI1_IRQHandler(void);
extern void SPI2_IRQHandler(void);		// nicht bei Low-Device
extern void USART1_IRQHandler(void);
extern void USART2_IRQHandler(void);
extern void USART3_IRQHandler(void);	// nicht bei Low-Device
extern void EXTI15_10_IRQHandler(void);
extern void RTCAlarm_IRQHandler(void);
extern void USBWakeUp_IRQHandler(void);
// Definitionen ab Variante HD-Device (ab 256KB Flash)
extern void TIM8_BRK_IRQHandler(void);
extern void TIM8_UP_IRQHandler(void);
extern void TIM8_TRG_COM_IRQHandler(void);
extern void TIM8_CC_IRQHandler(void);
extern void ADC3_IRQHandler(void);
extern void FSMC_IRQHandler(void);
extern void SDIO_IRQHandler(void);
extern void TIM5_IRQHandler(void);
extern void SPI3_IRQHandler(void);
extern void UART4_IRQHandler(void);
extern void UART5_IRQHandler(void);
extern void TIM6_IRQHandler(void);
extern void TIM7_IRQHandler(void);
extern void DMA2_Channel1_IRQHandler(void);
extern void DMA2_Channel2_IRQHandler(void);
extern void DMA2_Channel3_IRQHandler(void);
extern void DMA2_Channel4_5_IRQHandler(void);



#endif /* __STM32F10x_IT_H */

/******************* (C) COPYRIGHT 2008 STMicroelectronics *****END OF FILE****/
