/*****************************************************************************
 *   type.h:  Type definition Header file for NXP LPC23xx Family 
 *   Microprocessors
 *   Copyright(C) 2006, NXP Semiconductor
 *   All rights reserved.
 *   History
 *   2006.09.01  ver 1.00    Prelimnary version, first Release
******************************************************************************/
#ifndef __TYPE_H__
#define __TYPE_H__

#ifndef NULL
#define NULL    ((void *)0)
#endif

#ifndef FALSE
#define FALSE   (0)
#endif

#ifndef TRUE
#define TRUE    (1)
#endif

typedef unsigned char  BYTE;
typedef unsigned short WORD;
typedef unsigned long  DWORD;
typedef unsigned int   BOOL;

#ifndef __packed
#define __packed	__attribute__((__packed__))
#endif
#define __inline 	inline
//#define __int	__attribute__((__interupt__))

typedef struct		// Integer, Einzelbit
{
	union
	{
		unsigned short WORD;
		struct
		{
			unsigned char BIT0  :1;   // 
			unsigned char BIT1  :1;   // 
			unsigned char BIT2  :1;   // 
			unsigned char BIT3  :1;   // 
			unsigned char BIT4  :1;   // 
			unsigned char BIT5  :1;   // 
			unsigned char BIT6  :1;   // 
			unsigned char BIT7  :1;   // 
			unsigned char BIT8  :1;   // 
			unsigned char BIT9  :1;   // 
			unsigned char BIT10  :1;  // 
			unsigned char BIT11  :1;  // 
			unsigned char BIT12  :1;  // 
			unsigned char BIT13  :1;  // 
			unsigned char BIT14  :1;  // 
			unsigned char BIT15  :1;  // 
		}; //
	};
} uintBit_T;

#endif  // __TYPE_H__
